# Class CIM_BGPRouteMapsInRoutingPolicy
extends CIM_Component

This aggregation defines the BGPRouteMaps that are used by a particular RoutingPolicy object. Multiple instances of the same RouteMap may be used in the same RoutingPolicy instance. If this is desired, then the Sequence attribute of this aggregation can be used to disambiguate them.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_BGPRouteMapsInRoutingPolicy

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | This aggregation defines the BGPRouteMaps that are used by a particular RoutingPolicy object. Multiple instances of the same RouteMap may be used in the same RoutingPolicy instance. If this is desired, then the Sequence attribute of this aggregation can be used to disambiguate them.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MapSequence | uint16 |
Description | string | This defines the position of this RouteMap instance relative to all other instances of the same RouteMap.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_BGPRouteMapsInRoutingPolicy | CIM_RoutingPolicy
PartComponent | CIM_BGPRouteMapsInRoutingPolicy | CIM_BGPRouteMap

## Class Methods